package de.duehl.vocabulary.japanese.data.symbol;

import java.util.ArrayList;
import java.util.List;

/**
 * Diese Klasse stellt spezielle, große japanische Romaji (in UTF-Zeichen) dar.
 *
 * @version 1.01     2025-05-07
 * @author Christian Dühl
 */

public enum Romaji {

    D("Ｄ"),
    K("Ｋ"),
    L("Ｌ"),
    ;

    /** Das Zeichen in UTF-8 Darstellung. */
    private final String character;

    /**
     * Konstruktor.
     *
     * @param character
     *            Das Zeichen in UTF-8 Darstellung.
     */
    private Romaji(String character) {
        this.character = character;
    }

    /** Getter für das Zeichen in UTF-8 Darstellung. */
    public String getCharacter() {
        return character;
    }

    /** Gibt eine Liste mit den Zeichen der japanische Ziffern zurück. */
    public static List<String> getAllRomajiAsStringList() {
        List<String> romajiList = new ArrayList<>();

        for (Romaji punctuation : Romaji.values()) {
            romajiList.add(punctuation.getCharacter());
        }

        return romajiList;
    }

}
